/**
 * Event arguments for the
 * actionExecuted event.
*/
var IgcSpreadsheetActionExecutedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcSpreadsheetActionExecutedEventArgs() {
    }
    Object.defineProperty(IgcSpreadsheetActionExecutedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgcSpreadsheetActionExecutedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcSpreadsheetActionExecutedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgcSpreadsheetActionExecutedEventArgs.prototype, "command", {
        /**
         * Returns the command which was executed on the
         * Spreadsheet.
        */
        get: function () {
            return this.i.command;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgcSpreadsheetActionExecutedEventArgs.prototype, "commandParameter", {
        /**
         * Returns the parameter used when executing the command.
        */
        get: function () {
            return this.i.commandParameter;
        },
        enumerable: false,
        configurable: true
    });
    return IgcSpreadsheetActionExecutedEventArgs;
}());
export { IgcSpreadsheetActionExecutedEventArgs };
